'use strict';

/**
 * @example
 *  jssAbsoluteGap('10px');
 *  // returns
 *  {
 *      width: 'auto',
 *      height: 'auto',
 *      top: '10px',
 *      right: '10px',
 *      bottom: '10px',
 *      left: '10px'
 *  }
 *
 *  jssAbsoluteGap('10px', '2em');
 *  // returns
 *  {
 *      width: 'auto',
 *      height: 'auto',
 *      top: '10px',
 *      right: '2em',
 *      bottom: '10px',
 *      left: '2em'
 *  }
 */
function absoluteGap(x, y) {
	if (y === void 0) {
		y = x;
	}
	return {
		width: 'auto',
		height: 'auto',
		top: x,
		right: y,
		bottom: x,
		left: y
	};
}

module.exports = absoluteGap;
