declare type PixelValue = number | 'auto' | 'inherit' | 'initial' | 'revert' | 'unset';
declare type Joiner = ', ' | ' ';
/**
 * @example
 *  jssEm(16, [16]); // => '1em'
 *  jssEm(16, [16, 'auto']); // => '1em auto'
 *  jssEm(16, [-8, 0]); // => '-0.5em 0'
 *  jssEm(16, [24, 32, 48]); // => '1.5em 2em 3em'
 *  jssEm(20, [30, 10, 45]); // => '1.5em 0.5em 2.25em'
 *  jssEm(20, [30, 10, 45], ', '); // => '1.5em, 0.5em, 2.25em'
 */
export declare function jssEm(
	remSize: number,
	pixels: PixelValue[],
	joiner?: Joiner
): string;
/**
 * @example
 *  jssRem(16, [16]); // => '1rem'
 *  jssRem(16, [16, 'auto']); // => '1rem auto'
 *  jssRem(16, [-8, 0]); // => '-0.5rem 0'
 *  jssRem(16, [24, 32, 48]); // => '1.5rem 2rem 3rem'
 *  jssRem(20, [30, 10, 45]); // => '1.5rem 0.5rem 2.25rem'
 *  jssRem(20, [30, 10, 45], ', '); // => '1.5rem, 0.5rem, 2.25rem'
 */
export declare function jssRem(
	remSize: number,
	pixels: PixelValue[],
	joiner?: Joiner
): string;
export {};
