'use strict';

/**
 * Returns string font-face src value
 * @example
 *  const src = jssFontFaceSrc('fonts/my.woff2', 'fonts/my.woff');
 *  // => "url('/fonts/my.woff2') format('woff2'), url('/fonts/my.woff') format('woff')"
 */
function fontFaceSrc(woff2, woff) {
	return "url('" + woff2 + "') format('woff2'), url('" + woff + "') format('woff')";
}

module.exports = fontFaceSrc;
