'use strict';

var toolkitMath = require('@wezom/toolkit-math');

/**
 * Calculate percentage value
 * @example
 *  jssPercentage(720, 1280)      // => '56.25%'
 *  jssPercentage(9, 16)          // => '56.25%'
 *  jssPercentage(9, 16, true)    // => 56.25
 *  jssPercentage(9, 16, true, 1) // => 56.2
 */
function percentage(part, full, returnAsNumber, fractionDigits) {
	if (returnAsNumber === void 0) {
		returnAsNumber = false;
	}
	if (fractionDigits === void 0) {
		fractionDigits = 5;
	}
	var value = toolkitMath.mathRound((part / full) * 100, fractionDigits * -1);
	return returnAsNumber ? value : value.toString() + '%';
}

module.exports = percentage;
